Bug 829442 - [abrt] kdiff3-0.9.96-6.fc17: lock: Process /usr/bin/kdiff3 was killed by signal 7 (SIGBUS)
[abrt] kdiff3-0.9.96-6.fc17: lock: Process /usr/bin/kdiff3 was killed by sign...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdiff3 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
abrt_hash:e5842db927998de8de0e4e2d5d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 14:52 EDT by Thomas Meyer
Modified: 2013-07-08 17:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 17:21:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.06 KB, text/plain)
2012-06-06 14:52 EDT, Thomas Meyer
no flags Details
File: maps (54.83 KB, text/plain)
2012-06-06 14:52 EDT, Thomas Meyer
no flags Details
File: dso_list (11.35 KB, text/plain)
2012-06-06 14:52 EDT, Thomas Meyer
no flags Details
File: build_ids (5.00 KB, text/plain)
2012-06-06 14:52 EDT, Thomas Meyer
no flags Details

  None (edit)
Description Thomas Meyer 2012-06-06 14:52:36 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        kdiff3
comment:        I just did start kdiff3 on the shell
crash_function: lock
executable:     /usr/bin/kdiff3
kernel:         3.3.5
pid:            27987
pwd:            /home/thomas/workspace/icedtea-web-orig
time:           Mi 06 Jun 2012 20:28:29 CEST
uid:            1000
username:       thomas

backtrace:      Text file, 59451 bytes
build_ids:      Text file, 5125 bytes
dso_list:       Text file, 11627 bytes
maps:           Text file, 56145 bytes

cgroup:
:7:blkio:/
:6:net_cls:/
:5:freezer:/
:4:devices:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/thomas/38

core_backtrace:
:1bce8c9de170b2cbda9d1b95d5213a7d26b60e12 0x22cfd4 - libkdecore.so.5 -
:1bce8c9de170b2cbda9d1b95d5213a7d26b60e12 0x22d995 - libkdecore.so.5 -
:1bce8c9de170b2cbda9d1b95d5213a7d26b60e12 0x229e41 KSharedDataCache::find(QString libkdecore.so.5 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x1f6e59 - libkdeui.so.5 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x1fb4be KIconLoader::loadIcon(QString libkdeui.so.5 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x1f344f - libkdeui.so.5 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x26cce5 QIcon::pixmap(QSize libQtGui.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x261223 QWidgetPrivate::setWindowIcon_sys(bool) libQtGui.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x219eb1 QWidget::event(QEvent*) libQtGui.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x1ca37c QApplicationPrivate::notify_helper(QObject*, libQtGui.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x1ce7fa QApplication::notify(QObject*, libQtGui.so.4 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x245a56 KApplication::notify(QObject*, libkdeui.so.5 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x1763ee QCoreApplication::notifyInternal(QObject*, libQtCore.so.4 -
:cb89310b7098cd37ea9c001fd822f0fba9692901 0x1cc915 QApplication::setWindowIcon(QIcon libQtGui.so.4 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x24602e - libkdeui.so.5 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x247308 - libkdeui.so.5 -
:c000524fb9462a894ea16f5785f8645bfec80def 0x2482b8 KApplication::KApplication(bool) libkdeui.so.5 -
:c661e751c5cea80b34418a123ef479a95961a4b7 0x20ac9 - [exe] -

environ:
:XDG_VTNR=3
:SSH_AGENT_PID=2781
:XDG_SESSION_ID=38
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/thomas/.gnupg/S.gpg-agent:2804:1
:GLADE_PIXMAP_PATH=:
:TERM=xterm
:SHELL=/bin/bash
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:WINDOWID=54525956
:GNOME_KEYRING_CONTROL=/run/user/thomas/keyring-pkHdOh
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=thomas
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-LvKhYYnv2703/agent.2703
:USERNAME=thomas
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2815,unix/unix:/tmp/.ICE-unix/2815
:XDG_CONFIG_DIRS=/etc/xdg
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/thomas/bin
:MAIL=/var/spool/mail/thomas
:DESKTOP_SESSION=xfce
:QT_IM_MODULE=xim
:PWD=/home/thomas/workspace/icedtea-web-orig
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2701
:LANG=de_DE.utf8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/thomas
:XDG_SEAT=seat0
:SHLVL=3
:LOGNAME=thomas
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oKdGzpJtjp,guid=eaadb9391794b314e85a22450001c7b1
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=3
:XDG_RUNTIME_DIR=/run/user/thomas
:DISPLAY=:0.0
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:COLORTERM=Terminal
:XAUTHORITY=/var/run/gdm/auth-for-thomas-phcwfz/database
:_=/usr/bin/kdiff3
:OLDPWD=/home/thomas/workspace

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30852                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30852                30852                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0102002
:1:/dev/pts/1
:pos:	0
:flags:	0102002
:2:/dev/pts/1
:pos:	0
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[951471]
:pos:	0
:flags:	02004000
:5:pipe:[951471]
:pos:	0
:flags:	02004001
:6:socket:[951472]
:pos:	0
:flags:	02004002
:7:socket:[951475]
:pos:	0
:flags:	02004002
:8:socket:[951477]
:pos:	0
:flags:	02004002
:9:socket:[951479]
:pos:	0
:flags:	02000002
:10:socket:[951487]
:pos:	0
:flags:	02004002
:11:/home/thomas/workspace/icedtea-web-orig/icon-cache
:pos:	0
:flags:	02100002

var_log_messages:
:Jun  5 22:12:08 localhost yum[11763]: Erased: kdiff3-0.9.96-5.fc16.i686
:Jun  6 20:05:02 localhost yum[25717]: Installed: kdiff3-0.9.96-6.fc17.x86_64
:Jun  6 20:05:14 localhost abrt[25753]: Saved core dump of pid 25752 (/usr/bin/kdiff3) to /var/spool/abrt/ccpp-2012-06-06-20:05:14-25752 (7528448 bytes)
:Jun  6 20:05:15 localhost abrt[25765]: Not dumping repeating crash in '/usr/bin/kdiff3'
:Jun  6 20:05:20 localhost abrt[25772]: Not dumping repeating crash in '/usr/bin/kdiff3'
:Jun  6 20:06:03 localhost abrt[25813]: Saved core dump of pid 25812 (/usr/bin/kdiff3) to /var/spool/abrt/ccpp-2012-06-06-20:06:03-25812 (7585792 bytes)
:Jun  6 20:28:29 localhost abrt[27988]: Saved core dump of pid 27987 (/usr/bin/kdiff3) to /var/spool/abrt/ccpp-2012-06-06-20:28:29-27987 (7585792 bytes)
Comment 1 Thomas Meyer 2012-06-06 14:52:41 EDT
Created attachment 589973 [details]
File: backtrace
Comment 2 Thomas Meyer 2012-06-06 14:52:43 EDT
Created attachment 589974 [details]
File: maps
Comment 3 Thomas Meyer 2012-06-06 14:52:45 EDT
Created attachment 589975 [details]
File: dso_list
Comment 4 Thomas Meyer 2012-06-06 14:52:47 EDT
Created attachment 589976 [details]
File: build_ids
Comment 5 Thomas Meyer 2012-06-10 07:18:31 EDT
I tried to merge two heads with mercurial and HGMERGE set to the kdiff3 tool under XFCE.

backtrace_rating: 4
Package: kdiff3-0.9.96-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Neal Becker 2012-06-10 07:24:36 EDT
Can you run kdiff3 from command line?
Comment 7 Fedora End Of Life 2013-07-04 02:21:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Thomas Meyer 2013-07-08 17:21:31 EDT
I can start kdiff3 from the command line in Fedora 19. I guess this was fixed. I'll open a new bug if I encounter this problem again.

Note You need to log in before you can comment on or make changes to this bug.